import { test, expect, Page } from '@playwright/test';
import { strictEqual } from 'assert';

let page: Page;

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage();
});

test.afterAll(async () => {
  if (page !== undefined) {
    await page.close();
  }
});

test('Login', async () => {
  // Login
  await page.goto('http://192.168.1.90:20001/');
  await expect(page).toHaveTitle(/^Sign in to /);
  await page.fill("input[name='username']", 'admin');
  await page.fill("input[name='password']", '1234');
  await page.click('id=kc-login');
  await page.waitForTimeout(2000);
  //   await page.click('id=acceptBtn');
});

test('Search Personnel', async () => {
  await page.click('id=menu-icon-personnel-management');
  await page.fill('id=input-search', 'ทดสอบ');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', 'ทด');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', '1');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', 'พนักงาน');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', 'พนัก ');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', '1000006');
  await page.waitForTimeout(2000);
});
